Home

# Library goog.testing.style

Function Summary
| `getAvailableStyle_(!Element element, string style) ⇒ string` This is essentially goog.style.getStyle_. goog.style.getStyle_ is private and is not a recommended way for general purpose style extractor. For the purposes of layout testing, we only use this function for retrieving 'visiblity' and 'display' style.
| `hasVisibleDimensions(?Element element) ⇒ boolean` Determines whether the element has visible dimensions, i.e. x > 0 && y > 0.
| `intersects(?Element element, ?Element otherElement) ⇒ boolean` Determines whether the bounding rectangles of the given elements intersect.
| `isVisible(!Element element) ⇒ boolean` Determines whether the CSS style of the element renders it visible.